# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from command import Command
from ionas.request import Entry


class Dropbox(Command):
    try:
        from fal_info import FAL_DROPBOX_PATH as COMMAND
    except:
        COMMAND_NAME = 'fal_dropbox.py'

    TYPE_AUTH = 'auth'
    TYPE_CLEAR = 'clear'

    def auth(self, share_name):
        entry = self.request(Entry(
                self.TYPE_AUTH,
                '<shares><share><name>%s</name></share></shares>' % share_name))
        return entry

    def clear(self, share_name):
        entry = self.request(Entry(
                self.TYPE_CLEAR,
                '<shares><share><name>%s</name></share></shares>' % share_name))
        return entry
