# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils import simplejson
from django.http import HttpResponseRedirect, HttpResponse
from root.modules.view import FuncView

from project.fal.dropbox import Dropbox


def root(request):
    return HttpResponseRedirect('./auth_dropbox')


class View(FuncView):

    def view(self, request):

        share_name = request.GET["share_name"]
        dropbox = Dropbox()
        dropbox.auth(share_name)
        url = dropbox.get_value(
            "share/shareservice/dropbox/url", "")
        if url != "Error":
            return {self.KEY_REDIRECT: url}
        else:
            return {self.KEY_TEMPLATE: self.TEMPLATE,
                    self.KEY_TEMPLATE_DIC: {}}


auth_dropbox = View.as_view()
