# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.conf.urls import patterns, include, url
import settings
from root.modules.utils import to_importable_path as ipath
from root.modules.utils import pwd
from ..urls import add


if settings.IS_ENABLE:
    urlpatterns = patterns('',
        url(r'^$', '.'.join([ipath(pwd()), 'views.root'])),
        url(r'^download_amazons3', '.'.join([ipath(pwd()), 'views.download_amazons3'])),
    )
    add(urlpatterns, pwd())
else:
    urlpatterns = patterns('',)
