# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils import simplejson
from django.http import HttpResponseRedirect, HttpResponse
from root.modules.view import FuncView

from project.fal.azure import Azure


def root(request):
    return HttpResponseRedirect('./download_azure')


class View(FuncView):

    def view(self, request):

        share_name = request.GET["share_name"]
        azure = Azure()
        azure.download(share_name)

        return {self.KEY_RESPONSE: HttpResponse(
            simplejson.dumps({"result": azure.get_result(boolean=True)}),
            mimetype="application/json; charset=UTF-8;")}


download_azure = View.as_view()
