# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from django.conf import settings
import os

CLOUDN_PATH = "shareservice/amazons3/@cloudn"

CONV = {'true': True, 'false': False}


def enabled(share_node):
    try:
        return CONV.get(share_node.get_value(CLOUDN_PATH), False)
    except:
        return False


def name():
    return _(u'Cloudn Sync')


def icon():
    dir_ = os.path.join(settings.STATIC_URL, 'img', 'share', 'icon')
    return os.path.join(dir_, 'cloudsync.png')
