# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from project.forms.fields.checkbox import CheckboxField
from project.forms.fields.text import TextField


fields = {
    'dropbox_enabled': CheckboxField(label=_(u'dropbox: sync'),
                                     initial=False,
                                     attrs={"exclusion_cloud": True}),
    'dropbox_upload_only': CheckboxField(label=_(u'dropbox: upload only mode'),
                                         initial=False),
    'dropbox_code': TextField(label=_(u'dropbox: code'),
                              initial=u'',
                              required=False),
    'dropbox_revoke_access_token_flag': CheckboxField(label=_('dropbox: revoke access token'),
                                                      initial=False),
}
