#:!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
import os
from project.fal.onedrive import FALOneDrive


prefix = os.path.basename(os.path.abspath(__file__)).split('_')[0]


def get_onedrive_authorize_url_for_nasdsync(share_name="", **kwargs):
    url = FALOneDrive().get_authorize_url_for_nasdsync(business=prefix == 'onedriveb', default='')
    return {
        '%s_authorize_url_for_nasdsync' % prefix: url,
    }
