#:!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta


class Azure(object):

    def _raise_err(self, str):
        raise self.err_cls('"' + self._(str) + '"' + self._(u' is required.'))

    def _is_null(self, field_name, null=""):
        if field_name in self.data.keys():
            if self.data[field_name] == null:
                return True
        return False

    def rule(self, data, err_cls, _):
        self.data = data
        self.err_cls = err_cls
        self._ = _

        if self.data.get("azure"):
            if self._is_null("azure_account_name"):
                self._raise_err(u"Account Name")
            if self._is_null("azure_access_key"):
                self._raise_err(u"Access Key")
            if self._is_null("azure_container"):
                self._raise_err(u"Container Name")
            if self._is_null("azure_protocol"):
                self._raise_err(u"Protocol")
            if self._is_null("azure_check_interval"):
                self._raise_err(u"Check Interval")

rules = {
    "azure": Azure()}
