#:!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta


class Cloudn(object):

    def _raise_err(self, str):
        raise self.err_cls('"' + self._(str) + '"' + self._(u' is required.'))

    def _is_null(self, field_name, null=""):
        if field_name in self.data.keys():
            if self.data[field_name] == null:
                return True
        return False

    def rule(self, data, err_cls, _):
        self.data = data
        self.err_cls = err_cls
        self._ = _

        if self.data.get("cloudn"):
            if self._is_null("cloudn_access_key"):
                self._raise_err(u"Access Key")
            if self._is_null("cloudn_secret_key"):
                self._raise_err(u"Secret Key")
            if self._is_null("cloudn_bucket"):
                self._raise_err(u"Bucket Name")
            if self._is_null("cloudn_protocol"):
                self._raise_err(u"Protocol")
            if self._is_null("cloudn_storage_class"):
                self._raise_err(u"Storage Class")
            if self._is_null("cloudn_check_interval"):
                self._raise_err(u"Check Interval")
            if self._is_null("cloudn_upload_max_file_size"):
                self._raise_err(u"Upload Max File Size")
            if self._is_null("cloudn_mpupload"):
                self._raise_err(u"Multipart Upload")


            self.data.update({"amazons3_access_key":
                              self.data.get("cloudn_access_key")})
            self.data.update({"amazons3_secret_key":
                              self.data.get("cloudn_secret_key")})
            self.data.update({"amazons3_bucket":
                              self.data.get("cloudn_bucket")})
            self.data.update({"amazons3_protocol":
                              self.data.get("cloudn_protocol")})
            self.data.update({"amazons3_storage_class":
                              self.data.get("cloudn_storage_class")})
            self.data.update({"amazons3_check_interval":
                              self.data.get("cloudn_check_interval")})
            self.data.update({"amazons3_end_point":
                              self.data.get("cloudn_end_point")})
            self.data.update({"amazons3_port":
                              self.data.get("cloudn_port")})
            self.data.update({"amazons3_upload_max_file_size":
                              self.data.get("cloudn_upload_max_file_size")})
            self.data.update({"amazons3_mpupload":
                              self.data.get("cloudn_mpupload")})
        
rules = {
    "cloudn": Cloudn()}
