var CheckAzure = function(url, account_name, access_key, container, protocol) {
  this.url = url;
  this.account_name = account_name;
  this.access_key = access_key;
  this.container = container;
  this.protocol = protocol;
}

CheckAzure.prototype.get = function(cb) {
  var that = this;
  $.ajax({
    type: "GET",
    url: this.url,
    data: {"account_name": this.account_name,
           "access_key": this.access_key,
           "container": this.container,
           "protocol": this.protocol},
    cache: false,
    dataType: "json",
    timeout: 60000,
    success: function(data, dataType){
      that.func_success(data, dataType, cb);},
    error: function(XMLHttpRequest, textStatus, errorThrown){
      that.func_error(XMLHttpRequest, textStatus, errorThrown);
      if (textStatus == 'timeout') {
        that.get();
      }},
    complete: function(XMLHttpRequest, textStatus){
      that.func_complete(XMLHttpRequest, textStatus);}
  });
}

CheckAzure.prototype.func_success = function(data, dataType, cb) {cb(data);};
CheckAzure.prototype.func_error = function(XMLHttpRequest, textStatus, errorThrown) {};
CheckAzure.prototype.func_complete = function(XMLHttpRequest, textStatus) {};
