var DownloadAzure = function(url, share_name) {
  this.url = url;
  this.share_name = share_name;
}

DownloadAzure.prototype.get = function(cb) {
  var that = this;
  $.ajax({
    type: "GET",
    url: this.url,
    data: {"share_name": this.share_name},
    cache: false,
    dataType: "json",
    timeout: 60000,
    success: function(data, dataType){
      that.func_success(data, dataType, cb);},
    error: function(XMLHttpRequest, textStatus, errorThrown){
      that.func_error(XMLHttpRequest, textStatus, errorThrown);
      if (textStatus == 'timeout') {
        that.get();
      }},
    complete: function(XMLHttpRequest, textStatus){
      that.func_complete(XMLHttpRequest, textStatus);}
  });
}

DownloadAzure.prototype.func_success = function(data, dataType, cb) {cb(data);};
DownloadAzure.prototype.func_error = function(XMLHttpRequest, textStatus, errorThrown) {};
DownloadAzure.prototype.func_complete = function(XMLHttpRequest, textStatus) {};
