#:!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
import os
from project.fal.onedrive import FALOneDrive


prefix = os.path.basename(os.path.abspath(__file__)).split('_')[0]


def get_onedriveb_access_token(share_name="", **kwargs):
    token = FALOneDrive().query(share_name, business=prefix == 'onedriveb').get('token', None)
    return {
        '%s_access_token' % prefix: token,
    }
