#!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from ..utils import BaseMeans


class DropboxEnabled(BaseMeans):
    PATH = "shareservice/dropbox/@enable"

class DropboxUploadOnly(BaseMeans):
    PATH = "shareservice/dropbox/@uploadonly"


means = {
    "dropbox_enabled": DropboxEnabled(),
    "dropbox_upload_only": DropboxUploadOnly(),
}
