#:!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta


class Box(object):

    def rule(self, data, err_cls, _):
        if data.get("box_enabled"):
            for field in (("box_email", _(u"BoxSync: Label: Email")),
                          ("box_passwd", _(u"BoxSync: Label: Password")),
                          ("box_interval", _(u"BoxSync: Label: Interval")),
                          ("box_uploadmaxfilesize", _(u"BoxSync: Label: Upload Max File Size"))):
                name, label = field[:2]
                if data.get(name, None) in ["", None]:
                    raise err_cls(u"%s: %s" % (label, _(u"This field is required.")))


rules = {
    "box": Box(),
}
