var CheckAmazonS3 = function(url, access_key, secret_key, bucket, protocol, end_point, port) {
  this.url = url;
  this.access_key = access_key;
  this.secret_key = secret_key;
  this.bucket = bucket;
  this.protocol = protocol;
  this.end_point = end_point;
  this.port = port;
}

CheckAmazonS3.prototype.get = function(cb) {
  var that = this;
  $.ajax({
    type: "GET",
    url: this.url,
    data: {"access_key": this.access_key,
           "secret_key": this.secret_key,
           "bucket": this.bucket,
           "protocol": this.protocol,
           "end_point": this.end_point,
           "port": this.port},
    cache: false,
    dataType: "json",
    timeout: 60000,
    success: function(data, dataType){
      that.func_success(data, dataType, cb);},
    error: function(XMLHttpRequest, textStatus, errorThrown){
      that.func_error(XMLHttpRequest, textStatus, errorThrown);
      if (textStatus == 'timeout') {
        that.get();
      }},
    complete: function(XMLHttpRequest, textStatus){
      that.func_complete(XMLHttpRequest, textStatus);}
  });
}

CheckAmazonS3.prototype.func_success = function(data, dataType, cb) {cb(data);};
CheckAmazonS3.prototype.func_error = function(XMLHttpRequest, textStatus, errorThrown) {};
CheckAmazonS3.prototype.func_complete = function(XMLHttpRequest, textStatus) {};
